moGenSolContinue(3)

NAME
moGenSolContinue - One possible stop criterion for a solution-based heuristic.

SYNOPSIS

#include <moGenSolContinue.h>

Inherits moSolContinue< EOT >< EOT >.

  Public Member Functions
moGenSolContinue (unsigned int _generationMaximumNumber)
Simple constructor.
bool operator() (const EOT &_solution)
Function that activates the stop criterion.
void init ()
Procedure which allows to initialise the generation counter.

  Private Attributes
unsigned int generationMaximumNumber
Iteration maximum number.
unsigned int generationNumber
Iteration current number.

Detailed Description

  template<class EOT> class moGenSolContinue< EOT >
One possible stop criterion for a solution-based heuristic. The stop criterion corresponds to a maximum number of iteration.

Definition at line 46 of file moGenSolContinue.h.

Constructor & Destructor Documentation

  template<class EOT> moGenSolContinue< EOT >::moGenSolContinue (unsigned int _generationMaximumNumber) [inline]

Simple constructor.

Parameters:
    _generationMaximumNumber The maximum number of generations.

Definition at line 54 of file moGenSolContinue.h.

Member Function Documentation

  template<class EOT> bool moGenSolContinue< EOT >::operator() (const EOT & _solution) [inline, virtual]

Function that activates the stop criterion.

Increments the counter and returns TRUE if the current number of iteration is lower than the given maximum number of iterations.

Parameters:
    _solution The current solution.

Returns:
    true or false according to the current generation number.

Implements eoUF< const EOT &, bool >.

Definition at line 66 of file moGenSolContinue.h.

References moGenSolContinue< EOT >::generationMaximumNumber, and moGenSolContinue< EOT >::generationNumber.

  template<class EOT> void moGenSolContinue< EOT >::init () [inline, virtual]

Procedure which allows to initialise the generation counter.

It can also be used to reset the iteration counter.

Implements moSolContinue< EOT >.

Definition at line 78 of file moGenSolContinue.h.

References moGenSolContinue< EOT >::generationNumber.

Author

Generated automatically by Doxygen for ParadisEO-MOMovingObjects from the source code.